%global __provides_exclude_from %{_libdir}/%{name}/modules/.*\\.so

Summary: 	Modular SIP useragent
Name: 		baresip
Version: 	1.0.0
Release: 	%mkrel 1
License: 	BSD
Group: 		Communications/Telephony
URL: 		https://github.com/baresip/baresip
Source0:	https://github.com/baresip/baresip/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libre)
BuildRequires:	pkgconfig(librem)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	ffmpeg-devel

%description
Baresip is a portable and modular SIP User-Agent with audio and video support.

%prep
%setup -q

sed -i -e 's,^\(all: \),\1info ,' Makefile

%build
export EXTRA_CFLAGS="%{optflags}"
export APP_LFLAGS="%{ldflags}"
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

%files
%doc README.md docs/*
%{_bindir}/baresip
%{_libdir}/%{name}/
%{_datadir}/%{name}/


%changelog
* Sat Oct 03 2020 wally <wally> 1.0.0-1.mga8
+ Revision: 1632003
- new version 1.0.0

* Sun Aug 02 2020 guillomovitch <guillomovitch> 0.6.6-1.mga8
+ Revision: 1610580
- new version 0.6.6

* Sat Feb 15 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1526828
- Mageia 8 Mass Rebuild

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.6.3-1.mga8
+ Revision: 1417250
- new version 0.6.3

* Mon Feb 18 2019 wally <wally> 0.6.1-1.mga7
+ Revision: 1368234
- new version 0.6.1

* Sun Feb 10 2019 zezinho <zezinho> 0.6.0-2.mga7
+ Revision: 1365099
- rebuild for libvpx 1.8.0

* Sat Dec 08 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1338969
- new version 0.6.0

* Wed Oct 10 2018 wally <wally> 0.5.11-1.mga7
+ Revision: 1319343
- new version 0.5.11

* Wed Sep 05 2018 guillomovitch <guillomovitch> 0.5.10-1.mga7
+ Revision: 1257281
- new version 0.5.10

* Sun Apr 29 2018 daviddavid <daviddavid> 0.5.9-1.mga7
+ Revision: 1223293
- new version: 0.5.9
- remove merged upstream patch

* Wed Jan 31 2018 guillomovitch <guillomovitch> 0.5.7-1.mga7
+ Revision: 1198246
- new version 0.5.7
  add ffmpeg-devel build dependency

* Wed Oct 25 2017 dlucio <dlucio> 0.5.6-1.mga7
+ Revision: 1173740
- add P0
- Fix default group
- add BR
- imported package baresip


* Fri Nov 5 2010 Alfred E. Heggestad <aeh@db.org> -
- Initial build.

